package cn.estsh.i3plus.core.apiservice.util;

import cn.estsh.i3plus.core.apiservice.serviceimpl.busi.TestBase;
import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description : excel导入导出测试
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 19:44
 * @Modify:
 **/
public class TestExcelUtil extends TestBase {


    @Test
    public void TestExportData(){

    }

    @Test
    public void importData() throws Exception{
        try {
            List sy = ExcelUtil.importData("testOut.xls", new FileInputStream("E://testOut.xls"), SysTool.class);
            System.out.println(sy);
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }
}
